## cjs 6.2.0+wilma

=== debian/changelog ===
cjs (6.2.0+wilma) wilma; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Forbid compilation if the symbols file is outdated

  [ Leigh Scott ]
  * Port to mozjs115 (#122)

  [ Fabio Fantoni ]
  * debian: wrap and sort

  [ Simon McVittie ]
  * d/control: libcjs0 Depends on gir1.2-girepository-2.0
  * d/control: libcjs0 Depends on typelibs imported by built-in modules

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 15:25:49 +0100

cjs (6.0.0) virginia; urgency=medium

  [ Dominik Opyd ]
  * fix(build, tests): move `have_gtk4` to the appropriate place

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#119)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Nov 2023 13:54:46 +0000
