## cjs 6.4.0

=== debian/changelog ===
cjs (6.4.0-1) unstable; urgency=medium

  * New upstream version 6.4.0
  * d/patches: remove the patch, applied upstream

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 14 Dec 2024 17:18:32 +0100
