=== debian/tests/control ===
Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr, superficial

Tests: build
Depends: libcjs-dev, build-essential
Restrictions: superficial

Tests: installed-tests
Depends: dbus-daemon, cjs-tests, gnome-desktop-testing, xauth, xvfb
