## cjs 6.4.0%2Bxia

=== debian/changelog ===
cjs (6.4.0+xia) xia; urgency=medium

  [ Leigh Scott ]
  * Fix meson.build deprecations up to 0.56.0 (#119) (#125)

  [ Rick Calixte ]
  * gjs-util: Backport private closure annotations patch (#126)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 12:17:11 +0000

cjs (6.2.0) wilma; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Forbid compilation if the symbols file is outdated

  [ Leigh Scott ]
  * Port to mozjs115 (#122)

  [ Fabio Fantoni ]
  * debian: wrap and sort

  [ Simon McVittie ]
  * d/control: libcjs0 Depends on gir1.2-girepository-2.0
  * d/control: libcjs0 Depends on typelibs imported by built-in modules

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 15:25:49 +0100
