## cjs 115.0%2Bzara

=== debian/changelog ===
cjs (115.0+zara) xia; urgency=medium

  * Remove version restrictions

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 28 Mar 2025 17:19:08 +0000

cjs (6.4.0) xia; urgency=medium

  [ Leigh Scott ]
  * Fix meson.build deprecations up to 0.56.0 (#119) (#125)

  [ Rick Calixte ]
  * gjs-util: Backport private closure annotations patch (#126)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 12:17:11 +0000
