## cjs 115.0+zara

=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 at-spi2-core <!nocheck>,
 dbus-daemon <!nocheck>,
 dbus-x11 <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-gnome,
 gir1.2-gtk-3.0,
 gobject-introspection (>= 1.71),
 libcairo2-dev,
 libffi-dev (>= 3.3),
 libgirepository1.0-dev (>= 1.71),
 libglib2.0-dev (>= 2.58.0),
 libmozjs-115-dev,
 libreadline-dev,
 libxml2-utils,
 meson (>= 0.54.0),
 pkg-config (>= 0.28),
 xauth <!nocheck>,
 xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Git: https://github.com/linuxmint/cjs.git

Package: cjs
Architecture: any
Depends:
 gir1.2-gtk-3.0,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Mozilla-based javascript bindings for the Cinnamon platform (cli tool)
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the interactive console application.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: libcjs-dbg
Section: debug
Architecture: any
Priority: extra
Depends:
 libcjs0 (= ${binary:Version}),
 ${misc:Depends},
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This debug package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

Package: libcjs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcairo2-dev,
 libcjs0 (= ${binary:Version}),
 libgirepository1.0-dev (>= 1.64),
 libmozjs-115-dev,
 ${misc:Depends},
Description: Mozilla-based javascript bindings for Cinnamon platform
 Makes it possible for applications to use all of Cinnamon platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the development files applications need to
 build against.

Package: libcjs0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 gir1.2-gio-2.0,
 gir1.2-girepository-2.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
Conflicts:
 libcjs0a,
 libcjs0c,
 libcjs0e,
 libcjs0f,
Replaces:
 libcjs0a,
 libcjs0c,
 libcjs0e,
 libcjs0f,
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the shared library, used by cjs itself, and cinnamon.
