=== debian/tests/control ===
Tests: build
Depends: build-essential, libcjs-dev

#Tests: installed-tests
#Depends: dbus-daemon, dbus-x11, cjs-tests, gnome-desktop-testing, xauth, xvfb
