## cjs 115.1+zena

=== debian/changelog ===
cjs (115.1+zena) zena; urgency=medium

  * Switch to xapp-symbolic-icons (XSI)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 20 Nov 2025 15:05:55 +0000

cjs (115.0) xia; urgency=medium

  * Remove version restrictions

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 28 Mar 2025 17:19:08 +0000
