## cjs 128.0

=== debian/changelog ===
cjs (128.0-2) unstable; urgency=medium

  * Add some upstream patches:
    - compensate for removal of Unix-specific symbols from GLib and Gio
    typelibs (Closes: #1115352)
    - fix some deprecated things related to introspection (Closes: #1118420)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 25 Oct 2025 12:43:52 +0200

cjs (128.0-1) unstable; urgency=medium

  * New upstream version 128.0 (Closes: #1081039, #1100204)
    - Rebased on gjs-1.82.1
  * d/salsa-ci: improve include of default config
  * Improve d/gbp.conf
  * d/control: replace old site in homepage with upstream repository
    (Closes: #1101450)
  * Update symbols
  * Update standards version to 4.7.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 04 Apr 2025 15:44:19 +0200
