=== debian/watch ===
version=4
https://github.com/linuxmint/cjs/tags (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
