=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: at-spi2-core <!nocheck>,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-cairo-1.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-girepository-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-3.0,
               gobject-introspection (>= 1.71),
               libcairo2-dev,
               libffi-dev,
               libgirepository-1.0-dev (>= 1.71),
               libglib2.0-dev,
               libmozjs-128-dev,
               libreadline-dev,
               meson,
               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://github.com/linuxmint/cjs.git

Package: cjs
Architecture: any
Depends: gir1.2-gtk-3.0,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform (cli tool)
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the interactive console application.

Package: libcjs0
Architecture: any
Multi-Arch: same
Section: libs
Depends: gir1.2-gio-2.0,
         gir1.2-girepository-2.0,
         gir1.2-glib-2.0,
         gir1.2-gobject-2.0,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libcjs-dbg
Section: debug
Architecture: any
Priority: optional
Depends:
 libcjs0 (= ${binary:Version}),
 ${misc:Depends},
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This debug package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

Package: libcjs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcairo2-dev,
         libgirepository-1.0-dev,
         libcjs0 (= ${binary:Version}),
         libmozjs-128-dev,
         ${misc:Depends}
Description: Mozilla-based javascript bindings for Cinnamon - development files
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.
