=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential,
         libcjs-dev

#Tests: installed-tests
#Depends: dbus-daemon,
#         cjs-tests,
#         gnome-desktop-testing,
#         xauth,
#         xvfb
