## cjs 128.1

=== debian/changelog ===
cjs (128.1-2) unstable; urgency=medium

  * Team Upload
  [ Fabio Fantoni ]
  * Remove obsolete Lintian override

  [ Daniel Echeverri ]
  * Add versioned B-D on libmozjs-128-dev (>= 128.14.0-1+b1) for Arm64
    + to avoid symbol version mismatches after mozjs binNMUs

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 05 Feb 2026 19:06:59 -0500

cjs (128.1-1) unstable; urgency=medium

  * New upstream version 128.1
  * d/patches: remove all patches, applied upstream
  * Update standards version to 4.7.3, no changes needed
  * d/control: Remove Rules-Requires-Root, no longer necessary since trixie

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 10 Jan 2026 18:29:38 +0100
